﻿using Infragistics.Controls.Grids;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;

namespace XdgIdei {
    public class ValidationFormatRuleProxy : DiscreetRuleBaseProxy {

        public ValidationRule Rule { get; set; }
        public Style StyleToApply { get; set; }

        protected override Style EvaluateCondition(object sourceDataObject, object sourceDataValue) {
            if (sourceDataValue == null)
                return null;

            ValidationResult result = Rule.Validate(sourceDataValue, System.Globalization.CultureInfo.CurrentCulture);

            return result.IsValid ? null : StyleToApply;
        }
    }
}
